abump(1)

NAME

abump - bump pkgver in an APKBUILD file

SYNOPSIS

abump [-s CVE-1,...] [-f ISSUE] [-b|--branch] [-k|--keep] PKGNAME-1.2.3

DESCRIPTION

abump updates the pkgver in an APKBUILD file, updates its checksums, rebuilds it, and finally creates a new commit commit with the changes resulting.

abump looks for the specified package in nested directories inside the current working directory, assuming a layout like that of the aports repository.

OPTIONS

-s, --security CVE1,...
    Include CVE in the secfixes comment section.

-f, --fixes ISSUE
    Include Fixes #ISSUE in the commit message. This will close the upstream issue when the commit is merged into the aports master branch.

-b, --branch
    Create a git branch from HEAD before normal operation.

-k, --keep
    Keep existing packages.

-h, --help
    Print help information and exit.

ENVIRONMENT

APORTSDIR
    Force operating on an alternate directory.

EXAMPLES

    abump mml-1.0.0
    abump glibmm2.68-2.78.0
    abump telegram-desktop-4.11.8

SEE ALSO

abuild(1), apkgrel(1), newapkbuild(1), APKBUILD(5), apk(8).

AUTHORS

Natanael Copa <ncopa@alpinelinux.org> and open source contributors.